/*!
Theme Name: Kadence Child
Theme URI: https://www.kadencewp.com/kadence-theme/
Template: kadence
Author: Kadence WP
Author URI: https://www.kadencewp.com/
Description: A child theme for the Kadence Theme.
Version: 1.0.0
License: GNU General Public License v3.0 (or later)
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Text Domain: kadence-child
*/

/* Theme customization starts here
-------------------------------------------------------------- */
.elementor-widget-text-editor ul li {
    list-style-type: square !important;
}
.elementor-widget-text-editor li::marker {
  color: #476CAD;
}
/* Why Choose Us */
.icon--lists ul.elementor-icon-list-items {
    display: grid;
    grid-template-columns: 50% 50%;
    grid-column-gap: 30px;
}
/* Counter */
.tp-counter .elementor-icon-wrapper {
    display: flex;
    justify-content: center;
}
.tp-counter .elementor-icon {
    width: 100px;
    height: 100px;
    background-color: #ffffff;
    border-radius: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 20px;
}
/* Blog */
.swiper-slide.fs-blog-crousel-slide {
    height: auto;
    padding-bottom: 5px;
}
.fs-blog-crousel-slide .inner--bx {
    border: 1px solid rgba(3, 4, 29, 0.1);
    border-radius: 10px;
    background-color: #fff;
    height: 100%;
}
.blog-img {
    position: relative;
    padding-top: 65%;
}
.blog-img img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 10px 10px 0px 0px;
}
.blog-cont {
    padding: 30px 25px;
}
ul.blog-meta {
    margin: 0;
    padding: 0;
    display: flex;
    gap: 16px;
    list-style: none;
    margin-top: -25px;
    margin-bottom: 20px;
}
ul.blog-meta li {
    display: flex;
    gap: 6px;
    align-items: center;
    font-size: 13px;
}
.blog-meta li img {
    width: 16px;
    height: 18px;
}
ul.blog-meta li.blog--date {
    width: 50px;
    height: 56px;
    flex-shrink: 0;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    -o-border-radius: 4px;
    -ms-border-radius: 4px;
    border-radius: 4px;
    background: rgba(71, 108, 173, 1);
    text-align: center;
    padding: 7px;
    margin-top: -30px;
    z-index: 1;
    font-size: 24px;
    color: #fff;
    font-weight: 600;
    line-height: 1.2;
    display: block;
}
ul.blog-meta li.blog--date span {
    display: block;
    font-size: 12px;
}
.blog-cont h3 {
    font-size: 22px;
    font-weight: 600;
    line-height: 1.3;
    margin-bottom: 20px;
}
.blog-cont a {
    font-size: 15px;
    font-weight: 600;
    color: rgba(100, 100, 100, 1);
    display: flex;
    align-items: center;
    gap: 10px;
}
.blog-cont a svg {
    width: 12px;
    fill: rgba(100, 100, 100, 1);
}
.blog-cont a:hover svg {
    fill: #eb1792;
}
.fs-blog-crousel .swiper-wrapper,
.fs-card-slide .swiper-wrapper {
    padding-top: 110px;
    margin-top: -100px;
}
.fs-blog-crousel .swiper-button-next, 
.fs-blog-crousel .swiper-button-prev,
.fs-card-slide .swiper-button-next, 
.fs-card-slide .swiper-button-prev {
    top: 35px !important;
    width: 50px !important;
    height: 50px !important;
    background: #fff;
    border-radius: 4px;
    border: 1px solid rgba(229, 232, 230, 1);
}
.fs-blog-crousel .swiper-button-prev,
.fs-card-slide .swiper-button-prev {
    left: auto !important;
    right: 75px !important;
}
.swiper-button-next:after, 
.swiper-button-prev:after {
    color: #000;
    font-size: 20px !important;
    opacity: 1 !important;
}
/* Newsletter */
.tp-subscribe {
    position: relative;
    display: block;
    z-index: 1;
    max-width: 700px;
    margin: 0 auto;
    margin-bottom: 0px;
}
.tp-subscribe .subscribe-input {
    position: relative;
    display: block;
    width: 100%;
    line-height: 21px;
    padding: 18px 28px;
    font-size: 16px;
    font-weight: 400;
    background: #fff;
    border: 1px solid rgba(0, 29, 8, 0.1);
    border-radius: 4px;
    padding-right: 190px;
}
.tp-subscribe .subscribe-input:focus {
    border-color: #eb1792 !important;
}
.tp-subscribe .subscribe-input::placeholder {
    
}
.tp-subscribe input[type="submit"] {
    position: absolute;
    top: 5px;
    right: 5px;
    cursor: pointer;
    line-height: 24px;
    font-size: 16px;
    font-weight: 600;
    padding: 12px 28px;
    text-transform: capitalize;
    border: 0px;
}
.tp-subscribe input[type="submit"]:hover {
    border-width: 0px;
}
.mc4wp-response {
    text-align: center;
}
/* Contact Form */
.f-row {
    display: flex;
    flex-wrap: wrap;
    margin: 0px -15px;
}
.f-row-in {
    display: flex;
    flex-wrap: wrap;
    width: 50%;
}
.f-row .f-col {
    width: 50%;
    padding: 0px 15px;
}
.f-col {
    width: 100%;
    margin-bottom: 30px;
}
.f-col p {
    margin: 0px;
}
.f-col input, .f-col textarea, .f-col select {
    padding: 13px 20px!important;
    border-radius: 4px!important;
    border: 1px solid rgba(0, 29, 8, 0.1)!important;
    background-color: #ffffff!important;
    width: 100%;
}
.f-col input:focus, .f-col textarea:focus, .f-col select:focus {
    border-color: #eb1792 !important;
}
.f-col textarea {
    height: 180px;
}
.tp-contact-form.v_2 .f-col textarea {
    height: 120px;
}
.f-col lable {
    font-size: 15px;
}
.wpcf7-submit {
    line-height: 1.3 !important;
}
.wpcf7 form .wpcf7-response-output {
    margin: 1em 0em 0em;
}
/* Footer */
footer .hfe-nav-menu li a {
    position: relative;
    padding-left: 18px !important;
}
footer .hfe-nav-menu li a:before {
    content: "";
    background-image: url(https://totalprint.co.za/wp-content/uploads/2024/09/left-arrow.svg);
    position: absolute !important;
    top: 8px;
    left: 0;
    width: 10px;
    height: 17px;
    background-repeat: no-repeat;
    background-color: transparent !important;
    opacity: .8 !important;
}
/* News */
.grid-cols {
    -webkit-column-gap: 30px!important;
    -moz-column-gap: 30px!important;
    column-gap: 30px!important;
    row-gap: 30px!important;
}
article.loop-entry {
    border: 1px solid rgba(3, 4, 29, 0.1);
    border-radius: 10px;
    background-color: #fff;
}
article.loop-entry .post-thumbnail-inner img {
    border-radius: 10px 10px 0px 0px;
}
article.loop-entry .entry-content-wrap {
    padding: 0px 30px 30px 30px!important;
}
article.loop-entry .entry-title a {
    color: #000;
}
article.loop-entry .entry-header {
    margin-bottom: 1em;
    display: flex;
    flex-direction: column;
}
article.loop-entry .entry-title {
    order: 2;
}
article.loop-entry .entry-meta {
    order: 1;
}
article.loop-entry .more-link-wrap a {
    font-size: 15px;
    font-weight: 600;
    color: rgba(100, 100, 100, 1);
    text-transform: capitalize;
}
article.loop-entry .more-link-wrap a:hover {
    color: var(--global-palette1);
}
article.loop-entry .author.vcard,
article.loop-entry .meta-comments {
	position: relative;
    display: flex;
    padding-left: 22px;
    align-items: center;
}
article.loop-entry .author.vcard:before,
article.loop-entry .meta-comments:before {
    content: "";
    width: 15px;
    height: 18px;
    position: absolute;
    left: 0;
    background-repeat: no-repeat;
}
article.loop-entry .author.vcard:before {
    background-image: url(/wp-content/uploads/2024/08/user-icon.svg);
}
article.loop-entry .meta-comments:before {
    background-image: url(/wp-content/uploads/2024/08/comment.svg);
    width: 20px;
}
article.loop-entry .posted-by .meta-label {
    display: none;
}
article.loop-entry .posted-by {
    order: 2;
}
article.loop-entry .posted-on {
    order: 1;
}
article.loop-entry .meta-comments {
    order: 3;
}
.hero-container .archive-title {
    font-size: 48px;
}
.forminator-field input,
.forminator-field textarea,
.forminator-field select {
    padding: 15px 20px !important;
    border-radius: 4px !important;
    border: 1px solid rgba(0, 29, 8, 0.1) !important;
    background-color: #ffffff !important;
}
.forminator-field input:focus,
.forminator-field textarea:focus,
.forminator-field select:focus,
.forminator-select2 + .forminator-select .selection .select2-selection--single[role="combobox"]:focus {
    border-color: #EB1792 !important;
}
.forminator-field button {
    font-family: "PT Sans", Sans-serif !important;
    font-size: 16px !important;
    font-weight: 600 !important;
    color: #FFFFFF !important;
    background-color: #EB1792 !important;
    border: 1px solid #EB1792 !important;
    border-radius: 4px!important;
    padding: 14px 30px 14px 30px !important;
}
.forminator-field button:hover,
.forminator-field button:focus {
    background-color: #476CAD!important;
}
.forminator-field label {
    font-size: 15px !important;
    font-family: "PT Sans", Sans-serif !important;
}
.forminator-select2 + .forminator-select .selection .select2-selection--single[role="combobox"] {
    border-color: rgba(0, 29, 8, 0.1)!important;
    background-color: #fff!important;
    border-radius: 4px!important;
    padding: 6px 5px 6px 10px !important;
}
.forminator-select.forminator-select-dropdown-container--open .forminator-select-dropdown.forminator-dropdown--default {
   border-color:  #EB1792 !important;
}
/* Animstion */
.tp-animate {
    -webkit-animation: mover 1s infinite  alternate;
    animation: mover 1s infinite  alternate;
}
@-webkit-keyframes mover {
    0% { transform: translateY(0); }
    100% { transform: translateY(-15px); }
}
@keyframes mover {
    0% { transform: translateY(0); }
    100% { transform: translateY(-15px); }
}
/*Responsive css*/
@media only screen and (min-width: 1400px) {
.tp-subscribe {
    max-width: 800px;
}
}
@media only screen and (max-width: 991px) {

}
@media only screen and (max-width: 767px) {
.fs-blog-crousel .swiper-wrapper, 
.fs-card-slide .swiper-wrapper {
    padding-top: 140px;
    margin-top: -75px;
}    
.service-slide-btns .swiper-button-next,
.service-slide-btns .swiper-button-prev,
.fs-blog-crousel .swiper-button-next,
.fs-blog-crousel .swiper-button-prev {
    top: 85px !important;
}
.tp-services .service-slide-btns .swiper-button-prev,
.fs-blog-crousel .swiper-button-prev{
    right: auto !important;
    left: auto !important;
}
.tp-services .service-slide-btns .swiper-button-next,
.fs-blog-crousel .swiper-button-next {
    left: 65px !important;
}
.fs-blog-crousel .swiper-button-next, 
.fs-blog-crousel .swiper-button-prev, 
.fs-card-slide .swiper-button-next, 
.fs-card-slide .swiper-button-prev {
    width: 45px !important;
    height: 45px !important;
}
.hero-container .archive-title {
    font-size: 30px;
}
}
@media only screen and (max-width: 575px) {
.icon--lists ul.elementor-icon-list-items {
    grid-template-columns: 100%;
}
.tp-subscribe .subscribe-input {
    padding-right: 155px;
    padding-left: 15px;
}
.tp-subscribe input[type="submit"] {
    padding: 12px 17px;
}
.f-row {
    margin: 0px -10px;
}
.f-row .f-col{
    padding: 0px 10px;
}
.f-row-in {
    width: 100%;
}
.f-row-in .f-col,
.f-col.f-w {
    width: 100%;
}
}

